Creates the file from the sum of the parts that were uploaded for the upload identifier. Returns the upload identifier if successful.
1 min
GET
/episerverapi/commerce/import/upload/commit/{uploadId}/{overwrite}
Path Parameters
- uploadIdstring<uuid>requiredDescriptionFormatuuid
- overwritebooleanrequiredDescription
Header Parameters
- acceptstringDescriptionDefaulttext/plainAllowedtext/plainapplication/jsontext/json
Responses
200
- string<uuid>Formatuuid
401
curl
curl --request GET \
--url /episerverapi/commerce/import/upload/commit/{uploadId}/{overwrite} \
--header 'accept: text/plain'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "text/plain");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/import/upload/commit/{uploadId}/{overwrite}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/import/upload/commit/{uploadId}/{overwrite}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "text/plain"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/import/upload/commit/{uploadId}/{overwrite}"
payload = {}
headers = {
'accept': 'text/plain',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The file is uploaded.
""401
// If user does not have enough permission for this request.
PREVIOUS
Sends part of file for the given upload identifier. If no upload identifier is given then it will create a new upload id. Use the offset to tell where the part of the total file starts.
NEXT
Creates the file from the sum of the parts that were uploaded for the upload identifier. Returns the upload identifier if successful.